Merge pull request #62654 from teto/lua_update

Lua updater update :)
wip/yesman
Matthieu Coudron 5 years ago committed by GitHub
commit e496104638
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
  1. 82
      maintainers/scripts/luarocks-packages.csv
  2. 34
      maintainers/scripts/update-luarocks-packages
  3. 184
      pkgs/development/lua-modules/generated-packages.nix
  4. 4
      pkgs/development/tools/misc/luarocks/luarocks-nix.nix

@ -1,41 +1,41 @@
# nix name, luarocks name, server, version/additionnal args
ansicolors,
argparse,
basexx,
binaryheap,
dkjson
fifo
http
inspect
ldoc
lgi
lpeg_patterns
lpty
lrexlib-gnu,
lrexlib-posix,
ltermbox,
lua-cmsgpack,
lua_cliargs,
lua-iconv,
lua-messagepack,
lua-term,
lua-toml,
luabitop,
luaevent,
luacheck
luaffi,,http://luarocks.org/dev,
luuid,
markdown,
penlight,
rapidjson,
say,
std__debug,std._debug,
std_normalize,std.normalize,
luv,
luasystem,
mediator_lua,,http://luarocks.org/manifests/teto
mpack,,http://luarocks.org/manifests/teto
nvim-client,,http://luarocks.org/manifests/teto
busted,,http://luarocks.org/manifests/teto
luassert,,http://luarocks.org/manifests/teto
coxpcall,,https://luarocks.org/manifests/hisham,1.17.0-1
# nix name, luarocks name, server, version,luaversion
ansicolors,,,,
argparse,,,,
basexx,,,,
binaryheap,,,,
dkjson,,,,
fifo,,,,
http,,,,
inspect,,,,
ldoc,,,,
lgi,,,,
lpeg_patterns,,,,
lpty,,,,
lrexlib-gnu,,,,
lrexlib-posix,,,,
ltermbox,,,,
lua-cmsgpack,,,,
lua_cliargs,,,,
lua-iconv,,,,
lua-messagepack,,,,
lua-term,,,,
lua-toml,,,,
luabitop,,,,
luaevent,,,,
luacheck,,,,
luaffi,,http://luarocks.org/dev,,
luuid,,,,
markdown,,,,
penlight,,,,
rapidjson,,,,
say,,,,
std__debug,std._debug,,,
std_normalize,std.normalize,,,
luv,,,,
luasystem,,,,
mediator_lua,,http://luarocks.org/manifests/teto,,
mpack,,http://luarocks.org/manifests/teto,,
nvim-client,,,,
busted,,http://luarocks.org/manifests/teto,,
luassert,,,,
coxpcall,,https://luarocks.org/manifests/hisham,1.17.0-1,

1 # nix name, luarocks name, server, version/additionnal args # nix name luarocks name server version luaversion
2 ansicolors, ansicolors
3 argparse, argparse
4 basexx, basexx
5 binaryheap, binaryheap
6 dkjson dkjson
7 fifo fifo
8 http http
9 inspect inspect
10 ldoc ldoc
11 lgi lgi
12 lpeg_patterns lpeg_patterns
13 lpty lpty
14 lrexlib-gnu, lrexlib-gnu
15 lrexlib-posix, lrexlib-posix
16 ltermbox, ltermbox
17 lua-cmsgpack, lua-cmsgpack
18 lua_cliargs, lua_cliargs
19 lua-iconv, lua-iconv
20 lua-messagepack, lua-messagepack
21 lua-term, lua-term
22 lua-toml, lua-toml
23 luabitop, luabitop
24 luaevent, luaevent
25 luacheck luacheck
26 luaffi,,http://luarocks.org/dev, luaffi http://luarocks.org/dev
27 luuid, luuid
28 markdown, markdown
29 penlight, penlight
30 rapidjson, rapidjson
31 say, say
32 std__debug,std._debug, std__debug std._debug
33 std_normalize,std.normalize, std_normalize std.normalize
34 luv, luv
35 luasystem, luasystem
36 mediator_lua,,http://luarocks.org/manifests/teto mediator_lua http://luarocks.org/manifests/teto
37 mpack,,http://luarocks.org/manifests/teto mpack http://luarocks.org/manifests/teto
38 nvim-client,,http://luarocks.org/manifests/teto nvim-client
39 busted,,http://luarocks.org/manifests/teto busted http://luarocks.org/manifests/teto
40 luassert,,http://luarocks.org/manifests/teto luassert
41 coxpcall,,https://luarocks.org/manifests/hisham,1.17.0-1 coxpcall https://luarocks.org/manifests/hisham 1.17.0-1

@ -12,11 +12,6 @@
# stop the script upon C-C
set -eu -o pipefail
if [ $# -lt 1 ]; then
print_help
exit 1
fi
CSV_FILE="maintainers/scripts/luarocks-packages.csv"
TMP_FILE="$(mktemp)"
@ -25,16 +20,21 @@ exit_trap()
local lc="$BASH_COMMAND" rc=$?
test $rc -eq 0 || echo -e "*** error $rc: $lc.\nGenerated temporary file in $TMP_FILE" >&2
}
trap exit_trap EXIT
print_help() {
echo "Usage: $0 <GENERATED_FILE>"
echo "(most likely pkgs/development/lua-modules/generated-packages.nix)"
echo ""
echo " -c <CSV_FILE> to set the list of luarocks package to generate"
exit 1
echo ""
echo " -c <CSV_FILE> to set the list of luarocks package to generate"
exit 1
}
if [ $# -lt 1 ]; then
print_help
exit 1
fi
trap exit_trap EXIT
while getopts ":hc:" opt; do
case $opt in
@ -76,15 +76,16 @@ FOOTER="
function convert_pkg () {
nix_pkg_name="$1"
lua_pkg_name="$2"
server="${3:+--server=$3}"
version="${4:-}"
server="${3:+--only-server=$3}"
pkg_version="${4:-}"
lua_version="${5:+--lua-dir=$(nix path-info nixpkgs.$5)/bin}"
echo "looking at $lua_pkg_name (version $version) from server [$server]" >&2
cmd="luarocks nix $server $lua_pkg_name $version"
echo "looking at $lua_pkg_name (version $pkg_version) from server [$server]" >&2
cmd="luarocks nix $server $lua_version $lua_pkg_name $pkg_version"
echo "Running $cmd" >&2
drv="$nix_pkg_name = $($cmd)"
if [ $? -ne 0 ]; then
echo "Failed to convert $pkg" >&2
echo "$drv" >&2
else
echo "$drv" | tee -a "$TMP_FILE"
fi
@ -94,8 +95,7 @@ function convert_pkg () {
echo "$HEADER" | tee "$TMP_FILE"
# list of packages with format
# name,server,version
while IFS=, read -r nix_pkg_name lua_pkg_name server version
while IFS=, read -r nix_pkg_name lua_pkg_name server pkg_version luaversion
do
if [ "${nix_pkg_name:0:1}" == "#" ]; then
echo "Skipping comment ${nix_pkg_name}" >&2
@ -105,7 +105,7 @@ do
echo "Using nix_name as lua_pkg_name" >&2
lua_pkg_name="$nix_pkg_name"
fi
convert_pkg "$nix_pkg_name" "$lua_pkg_name" "$server" "$version"
convert_pkg "$nix_pkg_name" "$lua_pkg_name" "$server" "$pkg_version" "$luaversion"
done < "$CSV_FILE"
# close the set

@ -1,7 +1,7 @@
/* pkgs/development/lua-modules/generated-packages.nix is an auto-generated file -- DO NOT EDIT!
Regenerate it with:
nixpkgs$ ./maintainers/scripts/update-luarocks-packages pkgs/development/lua-modules/generated-packages.nix
nixpkgs$ maintainers/scripts/update-luarocks-packages pkgs/development/lua-modules/generated-packages.nix
These packages are manually refined in lua-overrides.nix
*/
@ -18,9 +18,8 @@ ansicolors = buildLuarocksPackage {
url = https://luarocks.org/ansicolors-1.0.2-3.src.rock;
sha256 = "1mhmr090y5394x1j8p44ws17sdwixn5a0r4i052bkfgk3982cqfz";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/kikito/ansicolors.lua";
@ -38,9 +37,8 @@ argparse = buildLuarocksPackage {
url = https://luarocks.org/argparse-0.6.0-1.src.rock;
sha256 = "10ic5wppyghd1lmgwgl0lb40pv8z9fi9i87080axxg8wsr19y0p4";
};
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.4" );
disabled = (luaOlder "5.1") || (luaAtLeast "5.4");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/mpeterv/argparse";
@ -64,9 +62,8 @@ basexx = buildLuarocksPackage {
sha256 = "1rnz6xixxqwy0q6y2hi14rfid4w47h69gfi0rnlq24fz8q2b0qpz";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/aiq/basexx";
@ -81,16 +78,15 @@ binaryheap = buildLuarocksPackage {
version = "0.4-1";
src = fetchurl {
url = https://luarocks.org/binaryheap-0.4-1.src.rock;
sha256 = "11rd8r3bpinfla2965jgjdv1hilqdc1q6g1qla5978d7vzg19kpc";
url = https://luarocks.org/binaryheap-0.4-1.src.rock;
sha256 = "11rd8r3bpinfla2965jgjdv1hilqdc1q6g1qla5978d7vzg19kpc";
};
disabled = ( luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
meta = {
homepage = "https://github.com/Tieske/binaryheap.lua";
description="Binary heap implementation in pure Lua";
description = "Binary heap implementation in pure Lua";
license = {
fullName = "MIT/X11";
};
@ -104,9 +100,8 @@ dkjson = buildLuarocksPackage {
url = https://luarocks.org/dkjson-2.5-2.src.rock;
sha256 = "1qy9bzqnb9pf9d48hik4iq8h68aw3270kmax7mmpvvpw7kkyp483";
};
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.4" );
disabled = (luaOlder "5.1") || (luaAtLeast "5.4");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://dkolf.de/src/dkjson-lua.fsl/";
@ -124,9 +119,7 @@ fifo = buildLuarocksPackage {
url = https://luarocks.org/fifo-0.2-0.src.rock;
sha256 = "082c5g1m8brnsqj5gnjs65bm7z50l6b05cfwah14lqaqsr5a5pjk";
};
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/daurnimator/fifo.lua";
@ -141,16 +134,15 @@ http = buildLuarocksPackage {
version = "0.3-0";
src = fetchurl {
url = https://luarocks.org/http-0.3-0.src.rock;
sha256 = "0vvl687bh3cvjjwbyp9cphqqccm3slv4g7y3h03scp3vpq9q4ccq";
url = https://luarocks.org/http-0.3-0.src.rock;
sha256 = "0vvl687bh3cvjjwbyp9cphqqccm3slv4g7y3h03scp3vpq9q4ccq";
};
disabled = ( luaOlder "5.1");
propagatedBuildInputs = [ lua compat53 bit32 cqueues luaossl basexx lpeg lpeg_patterns binaryheap fifo ];
buildType = "builtin";
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua compat53 bit32 cqueues luaossl basexx lpeg lpeg_patterns binaryheap fifo ];
meta = {
homepage = "https://github.com/daurnimator/lua-http";
description="HTTP library for Lua";
description = "HTTP library for Lua";
license = {
fullName = "MIT";
};
@ -164,9 +156,8 @@ inspect = buildLuarocksPackage {
url = https://luarocks.org/inspect-3.1.1-0.src.rock;
sha256 = "0k4g9ahql83l4r2bykfs6sacf9l1wdpisav2i0z55fyfcdv387za";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/kikito/inspect.lua";
@ -191,7 +182,6 @@ ldoc = buildLuarocksPackage {
};
propagatedBuildInputs = [ penlight markdown ];
buildType = "builtin";
meta = {
homepage = "http://stevedonovan.github.com/ldoc";
@ -209,9 +199,8 @@ lgi = buildLuarocksPackage {
url = https://luarocks.org/lgi-0.9.2-1.src.rock;
sha256 = "07ajc5pdavp785mdyy82n0w6d592n96g95cvq025d6i0bcm2cypa";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "make";
meta = {
homepage = "http://github.com/pavouk/lgi";
@ -229,9 +218,7 @@ lpeg_patterns = buildLuarocksPackage {
url = https://luarocks.org/lpeg_patterns-0.5-0.src.rock;
sha256 = "0mlw4nayrsdxrh98i26avz5i4170a9brciybw88kks496ra36v8f";
};
propagatedBuildInputs = [ lua lpeg ];
buildType = "builtin";
meta = {
homepage = "https://github.com/daurnimator/lpeg_patterns/archive/v0.5.zip";
@ -249,9 +236,8 @@ lpty = buildLuarocksPackage {
url = https://luarocks.org/lpty-1.2.2-1.src.rock;
sha256 = "1vxvsjgjfirl6ranz6k4q4y2dnxqh72bndbk400if22x8lqbkxzm";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "make";
meta = {
homepage = "http://www.tset.de/lpty/";
@ -269,9 +255,8 @@ lrexlib-gnu = buildLuarocksPackage {
url = https://luarocks.org/lrexlib-gnu-2.9.0-1.src.rock;
sha256 = "036rda4rji1pbnbxk1nzjy5zmigdsiacqbzrbvciwq3lrxa2j5s2";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://github.com/rrthomas/lrexlib";
@ -289,9 +274,8 @@ lrexlib-posix = buildLuarocksPackage {
url = https://luarocks.org/lrexlib-posix-2.9.0-1.src.rock;
sha256 = "0ifpybf4m94g1nk70l0f5m45gph0rbp5wrxrl1hnw8ibv3mc1b1r";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://github.com/rrthomas/lrexlib";
@ -309,9 +293,8 @@ ltermbox = buildLuarocksPackage {
url = https://luarocks.org/ltermbox-0.2-1.src.rock;
sha256 = "08jqlmmskbi1ml1i34dlmg6hxcs60nlm32dahpxhcrgjnfihmyn8";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://code.google.com/p/termbox";
@ -331,16 +314,16 @@ lua-cmsgpack = buildLuarocksPackage {
}).outPath;
src = fetchgit ( removeAttrs (builtins.fromJSON ''{
"url": "git://github.com/antirez/lua-cmsgpack.git",
"rev": "57b1f90cf6cec46450e87289ed5a676165d31071",
"date": "2018-06-14T11:56:56+02:00",
"sha256": "0yiwl4p1zh9qid3ksc4n9fv5bwaa9vjb0vgwnkars204xmxdj8fj",
"fetchSubmodules": true
} '') ["date"]) ;
disabled = ( luaOlder "5.1" );
"url": "git://github.com/antirez/lua-cmsgpack.git",
"rev": "57b1f90cf6cec46450e87289ed5a676165d31071",
"date": "2018-06-14T11:56:56+02:00",
"sha256": "0yiwl4p1zh9qid3ksc4n9fv5bwaa9vjb0vgwnkars204xmxdj8fj",
"fetchSubmodules": true
}
'') ["date"]) ;
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://github.com/antirez/lua-cmsgpack";
@ -358,9 +341,8 @@ lua_cliargs = buildLuarocksPackage {
url = https://luarocks.org/lua_cliargs-3.0-2.src.rock;
sha256 = "0qqdnw00r16xbyqn4w1xwwpg9i9ppc3c1dcypazjvdxaj899hy9w";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/amireh/lua_cliargs";
@ -378,9 +360,8 @@ lua-iconv = buildLuarocksPackage {
url = https://luarocks.org/lua-iconv-7-3.src.rock;
sha256 = "03xibhcqwihyjhxnzv367q4bfmzmffxl49lmjsq77g0prw8v0q83";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://ittner.github.com/lua-iconv/";
@ -398,9 +379,8 @@ lua-messagepack = buildLuarocksPackage {
url = https://luarocks.org/lua-messagepack-0.5.1-2.src.rock;
sha256 = "0bsdzdd24p9z3j4z1avw7qaqx87baa1pm58v275pw4h6n72z492g";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://fperrad.frama.io/lua-MessagePack/";
@ -424,7 +404,6 @@ lua-term = buildLuarocksPackage {
sha256 = "0c3zc0cl3a5pbdn056vnlan16g0wimv0p9bq52h7w507f72x18f1";
};
buildType = "builtin";
meta = {
homepage = "https://github.com/hoelzro/lua-term";
@ -442,9 +421,8 @@ lua-toml = buildLuarocksPackage {
url = https://luarocks.org/lua-toml-2.0-1.src.rock;
sha256 = "0lyqlnydqbplq82brw9ipqy9gijin6hj1wc46plz994pg4i2c74m";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/jonstoler/lua-toml";
@ -464,16 +442,16 @@ luabitop = buildLuarocksPackage {
}).outPath;
src = fetchgit ( removeAttrs (builtins.fromJSON ''{
"url": "git://github.com/LuaDist/luabitop.git",
"rev": "81bb23b0e737805442033535de8e6d204d0e5381",
"date": "2013-02-18T16:36:42+01:00",
"sha256": "0lsc556hlkddjbmcdbg7wc2g55bfy743p8ywdzl8x7kk847r043q",
"fetchSubmodules": true
} '') ["date"]) ;
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.3" );
"url": "git://github.com/LuaDist/luabitop.git",
"rev": "81bb23b0e737805442033535de8e6d204d0e5381",
"date": "2013-02-18T16:36:42+01:00",
"sha256": "0lsc556hlkddjbmcdbg7wc2g55bfy743p8ywdzl8x7kk847r043q",
"fetchSubmodules": true
}
'') ["date"]) ;
disabled = (luaOlder "5.1") || (luaAtLeast "5.3");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://bitop.luajit.org/";
@ -491,9 +469,8 @@ luaevent = buildLuarocksPackage {
url = https://luarocks.org/luaevent-0.4.6-1.src.rock;
sha256 = "0chq09nawiz00lxd6pkdqcb8v426gdifjw6js3ql0lx5vqdkb6dz";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/harningt/luaevent";
@ -511,9 +488,8 @@ luacheck = buildLuarocksPackage {
url = https://luarocks.org/luacheck-0.23.0-1.src.rock;
sha256 = "0akj61c7k1na2mggsckvfn9a3ljfp4agnmr9gp3mac4vin99a1cl";
};
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.4" );
disabled = (luaOlder "5.1") || (luaAtLeast "5.4");
propagatedBuildInputs = [ lua argparse luafilesystem ];
buildType = "builtin";
meta = {
homepage = "https://github.com/mpeterv/luacheck";
@ -531,9 +507,8 @@ luaffi = buildLuarocksPackage {
url = http://luarocks.org/dev/luaffi-scm-1.src.rock;
sha256 = "0dia66w8sgzw26bwy36gzyb2hyv7kh9n95lh5dl0158rqa6fsf26";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/facebook/luaffifb";
@ -551,9 +526,8 @@ luuid = buildLuarocksPackage {
url = https://luarocks.org/luuid-20120509-2.src.rock;
sha256 = "08q54x0m51w89np3n117h2a153wsgv3qayabd8cz6i55qm544hkg";
};
disabled = ( luaOlder "5.2" ) || ( luaAtLeast "5.4" );
disabled = (luaOlder "5.2") || (luaAtLeast "5.4");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://www.tecgraf.puc-rio.br/~lhf/ftp/lua/#luuid";
@ -571,9 +545,8 @@ markdown = buildLuarocksPackage {
url = https://luarocks.org/markdown-0.33-1.src.rock;
sha256 = "01xw4b4jvmrv1hz2gya02g3nphsj3hc94hsbc672ycj8pcql5n5y";
};
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.4" );
disabled = (luaOlder "5.1") || (luaAtLeast "5.4");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "https://github.com/mpeterv/markdown";
@ -598,7 +571,6 @@ penlight = buildLuarocksPackage {
};
propagatedBuildInputs = [ luafilesystem ];
buildType = "builtin";
meta = {
homepage = "http://stevedonovan.github.com/Penlight";
@ -616,9 +588,8 @@ rapidjson = buildLuarocksPackage {
url = https://luarocks.org/rapidjson-0.5.1-1.src.rock;
sha256 = "0hnqsixnbz95cvm9q5dn0lr0qjvhqw4llw6l1sjswwk0am4yybay";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "cmake";
meta = {
homepage = "https://github.com/xpol/lua-rapidjson";
@ -642,9 +613,8 @@ say = buildLuarocksPackage {
sha256 = "1jh76mxq9dcmv7kps2spwcc6895jmj2sf04i4y9idaxlicvwvs13";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://olivinelabs.com/busted/";
@ -662,9 +632,8 @@ std__debug = buildLuarocksPackage {
url = https://luarocks.org/std._debug-1.0.1-1.src.rock;
sha256 = "1qkcc5rph3ns9mzrfsa1671pb3hzbzfnaxvyw7zdly2b7ll88svz";
};
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.5" );
disabled = (luaOlder "5.1") || (luaAtLeast "5.5");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://lua-stdlib.github.io/_debug";
@ -682,9 +651,8 @@ std_normalize = buildLuarocksPackage {
url = https://luarocks.org/std.normalize-2.0.2-1.src.rock;
sha256 = "0yn60zqnxflhhlv6xk6w0ifdfxk1qcg8gq1wnrrbwsxwpipsrfjh";
};
disabled = ( luaOlder "5.1" ) || ( luaAtLeast "5.4" );
disabled = (luaOlder "5.1") || (luaAtLeast "5.4");
propagatedBuildInputs = [ lua std__debug ];
buildType = "builtin";
meta = {
homepage = "https://lua-stdlib.github.io/normalize";
@ -696,15 +664,14 @@ std_normalize = buildLuarocksPackage {
};
luv = buildLuarocksPackage {
pname = "luv";
version = "1.28.0-1";
version = "1.29.1-1";
src = fetchurl {
url = https://luarocks.org/luv-1.28.0-1.src.rock;
sha256 = "15m946p982bk4apig7yf07jm25ck26v2qxcvnrfh60vrbaw6gihw";
url = https://luarocks.org/luv-1.29.1-1.src.rock;
sha256 = "0x801pp8h2035lbncsb6vkwgxqrai69ri3sp9g1dwnfnipsfsvrg";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "cmake";
meta = {
homepage = "https://github.com/luvit/luv";
@ -722,9 +689,8 @@ luasystem = buildLuarocksPackage {
url = https://luarocks.org/luasystem-0.2.1-0.src.rock;
sha256 = "091xmp8cijgj0yzfsjrn7vljwznjnjn278ay7z9pjwpwiva0diyi";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://olivinelabs.com/luasystem/";
@ -742,9 +708,8 @@ mediator_lua = buildLuarocksPackage {
url = http://luarocks.org/manifests/teto/mediator_lua-1.1.2-0.src.rock;
sha256 = "18j49vvs94yfk4fw0xsq4v3j4difr6c99gfba0kxairmcqamd1if";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua ];
buildType = "builtin";
meta = {
homepage = "http://olivinelabs.com/mediator_lua/";
@ -763,8 +728,6 @@ mpack = buildLuarocksPackage {
sha256 = "0nq4ixaminkc7fwfpivysyv0al3j5dffsvgdrnwnqdg3w7jgfbw7";
};
buildType = "builtin";
meta = {
homepage = "https://github.com/libmpack/libmpack-lua/releases/download/1.0.7/libmpack-lua-1.0.7.tar.gz";
description = "Lua binding to libmpack";
@ -775,18 +738,17 @@ mpack = buildLuarocksPackage {
};
nvim-client = buildLuarocksPackage {
pname = "nvim-client";
version = "0.1.0-1";
version = "0.2.0-1";
src = fetchurl {
url = https://luarocks.org/nvim-client-0.1.0-1.src.rock;
sha256 = "1p57mrvm0ny3yi5cydr3z9qwzyg124rjp5w7vdflf2i23z39mkma";
url = https://luarocks.org/nvim-client-0.2.0-1.src.rock;
sha256 = "1ah9mjvz28hrbwnyb5n60znz3m0m41rn7jpnxwfx773cys3skidx";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua mpack luv coxpcall ];
buildType = "builtin";
meta = {
homepage = "https://github.com/neovim/lua-client/archive/0.1.0-1.tar.gz";
homepage = "https://github.com/neovim/lua-client/archive/0.2.0-1.tar.gz";
description = "Lua client to Nvim";
license = {
fullName = "Apache";
@ -795,21 +757,14 @@ nvim-client = buildLuarocksPackage {
};
busted = buildLuarocksPackage {
pname = "busted";
version = "2.0.rc13-0";
knownRockspec = (fetchurl {
url = https://luarocks.org/busted-2.0.rc13-0.rockspec;
sha256 = "0hrvhg1324q5ra6cpjh1y3by6lrzs0ljah4jl48l8xlgw1z9z1q5";
}).outPath;
version = "2.0.rc12-1";
src = fetchurl {
url = https://github.com/Olivine-Labs/busted/archive/v2.0.rc13-0.tar.gz;
sha256 = "0m72bldn1r6j94ahcfmpaq1mmysrshf9qi9fjas7hpal0jp8ivvl";
url = http://luarocks.org/manifests/teto/busted-2.0.rc12-1.src.rock;
sha256 = "18fzdc7ww4nxwinnw9ah5hi329ghrf0h8xrwcy26lk9qcs9n079z";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua lua_cliargs luafilesystem luasystem dkjson say luassert lua-term penlight mediator_lua ];
buildType = "builtin";
meta = {
homepage = "http://olivinelabs.com/busted/";
@ -833,9 +788,8 @@ luassert = buildLuarocksPackage {
sha256 = "1vwq3wqj9cjyz9lnf1n38yhpcglr2h40v3n9096i8vcpmyvdb3ka";
};
disabled = ( luaOlder "5.1" );
disabled = (luaOlder "5.1");
propagatedBuildInputs = [ lua say ];
buildType = "builtin";
meta = {
homepage = "http://olivinelabs.com/busted/";
@ -854,8 +808,6 @@ coxpcall = buildLuarocksPackage {
sha256 = "0n1jmda4g7x06458596bamhzhcsly6x0p31yp6q3jz4j11zv1zhi";
};
buildType = "builtin";
meta = {
homepage = "http://keplerproject.github.io/coxpcall";
description = "Coroutine safe xpcall and pcall";

@ -4,7 +4,7 @@ luarocks.overrideAttrs(old: {
src = fetchFromGitHub {
owner = "teto";
repo = "luarocks";
rev = "ca52159dcb544161e5bef1e4e366f3da31fa4555";
sha256 = "13g7vpyirq51qmmnjsqhhiia9wdnq9aw4da0n3r7l1ar95q168sn";
rev = "595456f1246d66e5bdce0de838d0d6188274991c";
sha256 = "14nn0n5a0m516lnbwljy85h7y98zwnfbcyz7hgsm6fn4p8316yz2";
};
})

Loading…
Cancel
Save